% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rIACI.R
\name{percent_days_op_threshold}
\alias{percent_days_op_threshold}
\title{Percent of Days Above or Below Threshold}
\usage{
percent_days_op_threshold(
  temp,
  dates,
  month_day,
  date_factor,
  quantiles_df,
  qtile,
  op = "<",
  max_missing_days
)
}
\arguments{
\item{temp}{Numeric vector. Temperature data.}

\item{dates}{Date vector. Dates corresponding to the data.}

\item{month_day}{Character vector. Month-day strings.}

\item{date_factor}{Factor. Date grouping factor (e.g., monthly or annual).}

\item{quantiles_df}{Data frame. Quantiles data.}

\item{qtile}{Numeric. Quantile to use.}

\item{op}{Character. Comparison operator, e.g., '<' or '>'.}

\item{max_missing_days}{Named numeric vector. Maximum allowed missing days.}
}
\value{
Numeric vector or data frame with calculated percentages.
}
\description{
Calculates the percentage of days exceeding or below a threshold.
}
\keyword{internal}
